# abstract Bytes(HaxeBytes)

#### package lime.utils

#### from HaxeBytes to HaxeBytes

Available on all platforms

### Constructor

###

`new (length:Int, bytesData:BytesData)`

### Static methods

###

`static__fromNativePointer (data:Dynamic, length:Int):Bytes`

Available on Android, iOS, Linux, macOS, Neko, Windows

###

`staticalloc (length:Int):Bytes`

###

`staticinline fastGet (b:BytesData, pos:Int):Int`

###

`staticfromBytes (bytes:Bytes):Bytes`

###

`staticfromFile (path:String):Bytes`

###

`staticloadFromBytes (bytes:Bytes):Future<Bytes>`

###

`staticloadFromFile (path:String):Future<Bytes>`

###

`staticofData (b:BytesData):Bytes`

###

`staticofString (s:String):Bytes`